/**
 * 自定义主题样式，根据themeSelector自动装载主题
 */
import {theme} from "antd";

/**
 * light主题自定义token
 */
const lightTheme = {
  mainTheme:'white',
  borderRadius:6
};

/**
 * dark主题自定义token
 */
const darkTheme= {
  mainTheme:'black',
  borderRadius:6
};

/**
 * green主题自定义token
 */
const greenTheme= {
  mainTheme:'white',
  colorPrimary:'#00B96B',
  borderRadius:8
};

/**
 * pink主题自定义token
 */
const pinkTheme= {
  mainTheme:'white',
  colorPrimary:'#ED4192',
  borderRadius:16
};

/**
 * original主题自定义token
 */
const originalTheme= {
  mainTheme:'white',
  borderRadius:2
};

export const themes = {
  LIGHT: lightTheme,
  DARK: darkTheme,
  GREEN:greenTheme,
  PINK:pinkTheme,
  ORIGINAL:originalTheme,
};

export const antdThemeConfig = {
  LIGHT: theme.defaultAlgorithm,
  DARK: theme.darkAlgorithm,
  COMPACT:theme.compactAlgorithm,
};
